%define tarball xf86-input-magictouch
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

%define cvsdate xxxxxxx

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 magictouch input driver
Name:      	xorg-x11-drv-magictouch
Version:   	1.0.0.5
Release:   	3
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

ExclusiveArch: 	%{ix86} x86_64 ia64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk

Requires:  	xorg-x11-server-Xorg
Obsoletes:	Xdriver-input-magellan

%description 
X.Org X11 magictouch input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/magictouch_drv.so
%dir %{_mandir}
#%dir %{_mandir}/man4x
%{_mandir}/man4/magictouch.4*

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0.5-3
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0.5-2
- rebuilt against X.org 7.2
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.0.5-1
- Initial release
